# MatFDColoringSetFrequency

Sets the frequency for computing new Jacobian matrices.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatFDColoringSetFrequency(MatFDColoring matfd,PetscInt freq)

Collective on MatFDColoring

### Input Parameters

| coloring | - the coloring context
| freq | - frequency (default is 1)

### Options Database Keys

-mat_fd_coloring_freq <freq> -Sets coloring frequency

### Notes

Using a modified Newton strategy, where the Jacobian remains fixed for several iterations, can be cost effective in terms of overall nonlinear solution efficiency. This parameter indicates that a new Jacobian will be computed every <freq> nonlinear iterations.

### Keywords

Mat, finite differences, coloring, set, frequency

### See Also

MatFDColoringCreate(), MatFDColoringGetFrequency(), MatFDColoringSetRecompute()

Level:advanced
Location: src/mat/matfd/fdmatrix.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages